:root {
    --black-default: #000000;
    --gray-new: #A1A1A1;
    --gray-new-bold: #757575;
    --green-new-light: #E0F0D6;
}

img,
svg,
button {
    user-select: none;
}

.stylists-landing .section {
    padding: 80px 0;
}

.stylists-landing .title_2 {
    font-size: clamp(28px, 2vw, 35px);
}

.stylists-landing .stylist-booking-frame {
    min-height: calc(100dvh - 55px);
    width: calc(100% + 18px);
    display: block;
    border: 0;
    outline: 0;
    background: transparent;
    margin: 0 -18px -18px 0;
}

/* === promo === */
.stylists-landing .promo__inner {
    padding: 60px 60px 60px clamp(90px, 7vw, 130px);
    /* padding: 60px 60px 60px clamp(80px, 7vw - 4px, 130px); */
    /* min-height: clamp(500px, 38vw, 700px); */
    aspect-ratio: 2.46;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 5;
}

.stylists-landing .promo__background {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
}

.stylists-landing .promo__background img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.stylists-landing .promo__content {
    width: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 4;
}

.stylists-landing .promo__title {
    margin-bottom: clamp(20px, 3vw - 8px, 45px);
    width: 80%;
    font-size: clamp(60px, 5vw, 86px);
    font-weight: 700;
    line-height: clamp(70px, 7vw - 20px, 96px);
}

.stylists-landing .promo__subtitle {
    margin-bottom: clamp(30px, 4vw, 60px);
    font-size: clamp(16px, 2vw, 27px);
}

.stylists-landing .promo__button {
    width: 160px;
    font-size: 14px;
    text-transform: uppercase;
}
/* === promo === */

/* === info === */
.stylists-landing .info__inner {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(25px, 3vw, 40px);
}

.stylists-landing .info__title {
    font-size: clamp(22px, 2vw, 27px);
    font-weight: bold;
    line-height: 30px;
}

.stylists-landing .info__desc {
    margin-bottom: 0;
    width: calc(55% - 7px);
    font-size: clamp(16px, 2vw, 20px);
    line-height: clamp(22px, 3vw, 30px);
}
/* === info === */

/* === stylists === */
.stylists-landing .stylists__inner {
    display: flex;
    flex-direction: column;
    gap: clamp(40px, 5vw, 60px);
}

.stylists-landing .stylists__title {
    margin-bottom: 0;
    font-weight: bold;
    text-align: center;
}

.stylists-landing .stylists__wrapper {
    position: relative;
}

.stylists-landing .stylists__wrapper .swiper-button {
    padding: 5px;
    width: clamp(35px, 3vw - 12px, 40px);
    height: clamp(35px, 3vw - 12px, 40px);
    user-select: none;
}

.stylists-landing .stylists__wrapper .icon-arrow:hover path {
    stroke: transparent !important;
    fill: var(--black) !important;
}

.stylists-landing .stylists__wrapper .swiper-button path {
    stroke: transparent;
    fill: var(--black);
}

.stylists-landing .stylists__wrapper .swiper-button.swiper-button-next:after,
.stylists-landing .stylists__wrapper .swiper-button.swiper-button-prev:after {
    content: none;
}

.stylists-landing .stylists__wrapper .swiper-button-prev {
    left: clamp(40px, 4vw - 15px, 60px);
    transform: rotate(-90deg);
}

.stylists-landing .stylists__wrapper .swiper-button-next {
    right: clamp(40px, 4vw - 15px, 60px);
    transform: rotate(90deg);
}


.stylists-landing .swiper-stylists {
    width: 85%;
}

.stylists-landing .swiper-stylists .swiper-pagination {
    margin-top: 20px;
    display: none;
    position: static;
}

.stylists-landing .swiper-stylists .swiper-pagination .swiper-pagination-bullet {
    width: 6px;
    height: 6px;
    background-color: var(--gray-new-bold);
    opacity: 1;
}

.stylists-landing .swiper-stylists .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: var(--black);
}

.stylists-landing .swiper-stylists .swiper-slide {
    margin-right: 20px;
    width: calc(100% / 3 - 14px);
    display: flex;
    flex-direction: column;
    height: auto;
}

.stylists-landing .card-stylist {
    background-color: var(--white);
    border-color: var(--gray-new);
    display: flex;
    flex-direction: column;
    flex: 1;
}

.stylists-landing .card-stylist .card__media {
    height: clamp(360px, 22vw, 420px);
}

.stylists-landing .card-stylist .card__media img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.stylists-landing .card-stylist .card__body {
    padding: clamp(30px, 3vw, 40px) clamp(20px, 3vw - 6px, 50px) clamp(40px, 4vw, 60px);
    display: flex;
    flex-direction: column;
    gap: 25px;
    flex: 1;
}

.stylists-landing .card-stylist .card__title {
    margin-bottom: clamp(5px, 2vw - 10px, 15px);
    font-size: clamp(24px, 2vw, 27px);
    font-weight: 600;
    line-height: 36px;
}

.stylists-landing .card-stylist .card__subtitle {
    font-size: clamp(18px, 2vw, 20px);
    font-weight: 600;
    line-height: clamp(22px, 2vw, 27px);
    color: var(--gray-new);
}

.stylists-landing .card-stylist .card__desc {
    margin-bottom: 0;
    font-size: 17px;
    line-height: 28px;
}

.stylists-landing .stylists__button {
    margin: 0 auto;
    width: 160px;
}
/* === stylists === */

/* === steps === */
.stylists-landing .steps__title {
    margin-bottom: 0;
    font-weight: bold;
    text-align: center;
}

.stylists-landing .steps__inner {
    display: flex;
    flex-direction: column;
    gap: 80px;
}

.stylists-landing .steps__wrapper {
    margin: 0 auto;
    width: 85%;
    display: grid;
    grid-template-columns: repeat(2 ,1fr);
    gap: clamp(30px, 4vw - 15px, 60px);
}

.stylists-landing .steps-step {
    display: flex;
    align-items: center;
    gap: clamp(30px, 5vw - 15px, 80px);
}

.stylists-landing .steps-step.steps-step_right {
    justify-content: right;
}

.stylists-landing .steps-step__number {
    font-size: clamp(60px, 5vw - 6px, 85px);
    font-weight: 500;
    line-height: 42px;
}

.stylists-landing .steps-step__desc {
    margin-bottom: 0;
    width: 70%;
    font-size: clamp(16px, 2vw - 6px, 20px);
    line-height: clamp(22px, 3vw, 30px);
}

.stylists-landing .approach {
    display: flex;
}

.stylists-landing .approach__content {
    width: 50%;
    padding: 40px 40px 40px clamp(90px, 7vw, 130px);
    background-color: var(--green-new-light);
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: clamp(30px, 4vw, 60px);
}

.stylists-landing .approach__title {
    font-size: clamp(22px, 2vw, 27px);
    font-weight: bold;
    line-height: clamp(28px, 3vw, 40px);
}

.stylists-landing .approach__info {
    font-size: clamp(16px, 2vw, 20px);
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.stylists-landing .approach__media {
    min-height: 450px;
    flex: 1;
}

.stylists-landing .approach__media img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.stylists-landing .approach__button {
    width: 160px;
}
/* === steps === */

/* === modal-record === */
.stylists-landing .modal-record {
    background-color: rgba(0, 0, 0, 0.30);
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 20;
    opacity: 0;
    visibility: hidden;
    transition: opacity .3s, visibility .3s;
}

.stylists-landing .modal-record__inner {
    width: 450px;
    background-color: var(--white);
    transform: translateX(-100%);
    position: fixed;
    top: 0;
    left: 0;
    z-index: -20;
    transition: transform .3s;
}

.stylists-landing .modal-record__header {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}

.stylists-landing .modal-record__close {
    padding: 5px;
    width: 25px;
    height: 25px;
    display: flex;
    cursor: pointer;
}

.stylists-landing .modal-record__title {
    font-size: 20px;
    font-weight: 600;
}

.stylists-landing .modal-record__body {
    padding: 0 0 10px;
    overflow: hidden;
}

.stylists-landing .modal-record.open {
    opacity: 1;
    visibility: visible;
    z-index: 6000;
}

.stylists-landing .modal-record.open .modal-record__inner {
    transform: translateX(0);
    z-index: 20;
}

.breadcrumps-container h1 {
    display: none !important;
}
/* === modal-record === */

@media (max-width: 1550px) {
    /* === stylists === */
    .stylists-landing .stylists__wrapper .swiper-button-prev {
        left: clamp(20px, 3vw - 5px, 40px);
    }

    .stylists-landing .stylists__wrapper .swiper-button-next {
        right: clamp(20px, 3vw - 5px, 40px);
    }

    .stylists-landing .swiper-stylists .swiper-slide {
        width: calc(100% / 2 - 12px);
    }

    .stylists-landing .card-stylist .card__media {
        height: clamp(380px, 30vw + 15px, 480px);
    }
    /* === stylists === */

    /* === steps === */
    .stylists-landing .steps-step {
        gap: 30px;
    }

    .stylists-landing .steps-step__desc {
        width: 100%;
        flex: 1;
    }

    .stylists-landing .approach__content {
        padding: 40px 40px 40px clamp(40px, 5vw, 60px);
    }

    .stylists-landing .approach__media {
        min-height: 400px;
    }
    /* === steps === */
}

@media (max-width: 1199px)  {
    .stylists-landing .section {
        padding: 60px 0;
    }

    /* === promo === */
    .stylists-landing .promo__title {
        font-size: clamp(35px, 6vw, 50px);
        line-height: clamp(47px, 6vw, 60px);
    }

    .stylists-landing .promo__inner {
        padding: 60px clamp(20px, 4vw, 40px);
        /* padding: 60px clamp(15px, 5vw - 2px, 50px); */
        /* min-height: clamp(375px, 45vw, 500px); */
    }
    /* === promo === */

    /* === info === */
    .stylists-landing .info__title {
        line-height: 27px;
    }

    .stylists-landing .info__desc {
        width: 100%;
    }
    /* === info === */

    /* === stylists === */
    .stylists-landing .swiper-stylists {
        width: 100%;
    }

    .stylists-landing .stylists__wrapper .swiper-button {
        display: none;
    }

    .stylists-landing .swiper-stylists .swiper-pagination {
        display: block;
    }


    .stylists-landing .swiper-stylists .swiper-slide {
        margin-right: 12px;
        width: calc(100% / 2 - 6px);
    }

    .stylists-landing .card-stylist .card__media {
        height: clamp(320px, 42vw, 480px);
    }
    /* === stylists === */

    /* === steps === */
    .stylists-landing .steps__inner {
        gap: 40px;
    }

    .stylists-landing .steps__wrapper {
        margin-bottom: 20px;
        width: 100%;
    }

    .stylists-landing .approach__content {
        padding: 40px clamp(20px, 4vw, 40px);
    }

    .stylists-landing .approach__media {
        min-height: clamp(360px, 35vw, 400px);
    }
    /* === steps === */

    .stylists-landing .modal-record__body {
        padding-right: 16px;
    }
}

@media (max-width: 769px) {
    /* === stylists === */
    .stylists-landing .swiper-stylists .swiper-slide {
        width: 100%;
    }

    .stylists-landing .card-stylist .card__media {
        height: clamp(250px, 75vw, 570px);
    }

    .stylists-landing .card-stylist .card__body {
        padding: 25px 15px;
        gap: 15px;
    }

    .stylists-landing .card-stylist .card__title {
        line-height: 32px;
    }

    .stylists-landing .stylists__button {
        width: 100%;
    }
    /* === stylists === */

    /* === steps === */
    .stylists-landing .steps__wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .stylists-landing .steps-step.steps-step_right {
        order: 1;
        justify-content: left;
    }

    .stylists-landing .approach {
        flex-direction: column;
    }

    .stylists-landing .approach__content {
        padding: 40px 20px 60px;
        width: 100%;
        text-align: center;
    }

    .stylists-landing .approach__media {
        min-height: initial;
        height: clamp(240px, 58vw, 430px);
        order: -1;
        flex: none;
    }

    .stylists-landing .approach__button {
        width: 100%;
    }
    /* === steps === */
}

@media (max-width: 549px) {
    /* === promo === */
    .stylists-landing .promo__inner {
        min-height: 560px;
        align-items: end;
        aspect-ratio: unset;
    }

    .stylists-landing .promo__inner:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 0%, rgba(0, 0, 0, 0.60) 100%);
        z-index: 3;
    }

    .stylists-landing .promo__background img {
        object-position: top;
    }

    .stylists-landing .promo__content {
        text-align: center;
        align-items: center;
    }

    .stylists-landing .promo__title {
        margin-bottom: 35px;
        font-size: clamp(42px, 9vw, 50px);
        /* font-size: 42px; */
        /* line-height: clamp(47px, 10vw, 60px); */
        line-height: 1.09;
        width: 100%;
        color: var(--bs-white);
        word-break: break-word;
    }

    .stylists-landing .promo__subtitle {
        margin-bottom: 40px;
        color: var(--bs-white);
    }

    .stylists-landing .promo__button {
        width: 100%;
        background-color: var(--bs-white);
        color: var(--black-default) !important;
    }
    /* === promo === */

    /* === steps === */
    .approach__info span:first-child {
        margin: 0 auto;
        width: 90%;
    }
    /* === steps === */

    /* === modal-record === */
    .stylists-landing .modal-record__inner {
        width: 100%;
    }
    /* === modal-record === */
}